export { default as fs } from 'fs-extra';
export { default as pico } from 'picocolors';
export { default as consola } from 'consola';
export { default as inquirer } from 'inquirer';
export { default as envinfo } from 'envinfo';
export { default as CliTable } from 'tty-table';
export { Command } from 'commander';
export { request } from 'undici';
export { glob } from 'glob';
export { execa } from 'execa';
export { default as semver } from 'semver';
export { default as minimist } from 'minimist';
export { default as prompts } from 'prompts';
export { default as getGitRepoInfo } from 'git-repo-info';
export { default as open } from 'open';
export { default as dotenv } from 'dotenv';
export { cosmiconfig } from 'cosmiconfig';
export { default as dotenvExpand } from 'dotenv-expand';
export { filesize } from 'filesize';
export { default as recursiveReaddir } from 'recursive-readdir';
export { default as Configstore } from 'configstore';
export { default as mime } from 'mime';
export { default as ora } from 'ora';
export { default as cliProgress } from 'cli-progress';
export { default as imageSize } from 'image-size';
import * as fileType from 'file-type';
export { fileType as filetype };
import * as lodashEs from 'lodash-es';
export { lodashEs as lodash };

declare const checkNodeVersion: (wanted: string, name: string) => void;
declare const checkUpdate: (pkg: any) => void;
declare const gs: (str: string, options?: {
    color: string;
    pos: number;
}[]) => string;
declare const prepareCli: <T extends Record<string, any>>(packageJson: T) => T;
declare const getMonorepoPkgListInfo: () => Promise<{
    pkgDir: string;
    pkgDirPath: string;
    pkgJsonFilePath: string;
    pkgName: string;
    pkgCurrentVersion: string;
}[]>;

export { checkNodeVersion, checkUpdate, getMonorepoPkgListInfo, gs, prepareCli };
